%define python3_pkgversion 3.11
# Created by pyp2rpm-3.3.10
%global pypi_name typing-extensions
%global pypi_version 4.11.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1.0.1%{?dist}
Summary:        Backported and Experimental Type Hints for Python 3.8+"

License:        PSF-2.0
URL:            https://pypi.org/project/typing-extensions/
Source0:        %{pypi_source typing_extensions}
Patch0:         1000-change-build-system.patch
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros

%global _description %{expand:
The typing_extensions module serves two related purposes:

  Enable use of new type system features on older Python versions.
  For example, typing.TypeGuard is new in Python 3.10, but typing_extensions
  allows users on previous Python versions to use it too.

  Enable experimentation with new type system PEPs before they are accepted and
  added to the typing module.

typing_extensions is treated specially by static type checkers such as mypy and
pyright. Objects defined in typing_extensions are treated the same way as
equivalent forms in typing.

typing_extensions uses Semantic Versioning. The major version will be
incremented only for backwards-incompatible changes. Therefore, it's safe to
depend on typing_extensions like this: typing_extensions >=x.y, <(x+1),
where x.y is the first version that includes all features you need.}

%description %_description

%package -n python3.11-typing-extensions
Summary:       %{summary}

%description -n python3.11-typing-extensions %_description

%prep
set -ex
%autosetup -n typing_extensions-%{version}
# Copy src files into root, makes easier packaging with setuptools
cp src/* .

%build
%{py3_build}

%install
%{py3_install}

%check
%{__python3} -m unittest discover

%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%pycached %{python3_sitelib}/typing_extensions.py
%{python3_sitelib}/typing_extensions-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Aug 21 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 1.35.1-1.0.1
- Fixes package name, replaces underscore with dash.
- Drops setup.py patch.
- Changes packaging system to setuptools.
- Enables tests.

* Mon Jul 22 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 1.35.1-1
- Initial package.
